<template>
	<view class="content">
		<!-- 购买说明 -->
		<view class="header" v-if="goods" :style="'background: url(https://hdyfs.languowangluo.cn'+ goods.card_banner + ') repeat 0 0 / 100% auto;'">
			<view class="head">
				<view class="status_bar" :style="'height:'+ statusBarHeight +'px;'"></view>
				<view class="header_title">
					<view @click="back()">
						<image :src="z_imgPath + 'back.png'"></image>返回
					</view>
					<view class="hang1">{{goods.title}} </view>
				</view>
			</view>

			<view class="redu">
				<view> 收集进度: <text>{{goods.hove_count}}</text> /{{goods.count}}</view>
				<view>
					<cmd-progress :percent="goods.gailv" :show-info="false" stroke-color="#1AC762" :strokeWidth="10">
					</cmd-progress>
				</view>
			</view>
		</view>

		<mescroll-body ref="mescrollRef" style="min-height: auto;" @init="mescrollInit" :down="downOption"
			@down="downCallback" @up="upCallback">
			<view class="title_ipt">
				<image :src="z_imgPath+'search.png'"></image>
				<input type="text" placeholder="请输入关键字" placeholder-style="color:rgba(255,255,255,0.6)"
					onfirm-type="search" v-model="keyword" @confirm="show='',loadData(1)" />
				<view>搜索</view>
			</view>
			<view class="qiehuan">
				<view @click="getlist(i,'')" v-for="(v,i) in arr" :key="i">
					<view :class="show==i?'xzs':'wzs'">{{v}}</view>
					<view class="qiehuan_line" v-if="show==i"> </view>
				</view>
			</view>
			<view class="cate">
				<view v-for="(item,index) in shang_cate" :key="index" :class="item.id==shang_id?'cate_sel':''"
					@click="getlist(show,item.id)">{{item.title}}</view>
			</view>
			<!-- 赏池预览 -->
			<view class="shop" v-if="goodslist && goodslist.length>0">
				<view v-for="(item,index) in goodslist" :key="index" class="shop_item">
					<!-- @click="change_sel(index,item.is)" -->
					<view class="item_head" @click="yulan(item)">
						<image :src="'https://hdyfs.languowangluo.cn'+item.imgurl" mode="aspectFill"></image>
						<!-- <view class="hang1">{{item.prize_code}}</view> -->
						<!-- <view v-if="item.is==1">X{{item.num}}</view>
						<view class="mengban" v-else></view> -->
					</view>
					<view class="shop_con">
						<view class="hang1" style="color: #FFFFFF;">{{item.title}}</view>
						<view class="hang1">{{item.card_no}}</view>
						<view class="hang1" style="color: #FFFFFF;font-size: 20rpx;">参考价：{{item.price}}
						</view>
					</view>
					<uni-number-box :min="0" :max="item.num" v-model="item.number" background="none"
						color="#FFFFFF" @change="getCount(item,index)">
					</uni-number-box>
					<!-- <image :src="z_imgPath + 'yuan'+ (item.sel?'_sel':'')  +'.png'" class="p_t_r" v-if="item.is==1">
					</image> -->
				</view>
			</view>
		</mescroll-body>
		<!-- 底部按钮 -->
		<view class="footer" v-if="show==1">
			<image :src="z_imgPath + 'fahuo_btn.png?121'" @click="fahuo_click()" class="dabao"></image>
			<image :src="z_imgPath + 'dabao.png'" @click="huisou_click()"></image>
		</view>
		<!-- <view class="footer">
			<image :src="z_imgPath + 'fahuo_btn.png'" @click="fahuo_click()"></image>
			<image :src="z_imgPath + 'huishou_btn.png'" @click="huisou_click()"></image>
		</view> -->

		<!-- 刷新浮框 -->
		<view class="xuanfu">
			<!-- <image :src="z_imgPath + 'jiaoliu.png?12'" @click="toNewMp()"></image> -->
			<image :src="z_imgPath + 'quanxuan.png'" @click="quanxuan_click()"></image>
			<image :src="z_imgPath + 'shuaxin1.png'" @click="getlist(show)"></image>
		</view>

		<!-- 确认环保  -->
		<uni-popup ref="huishou_show" type="bottom">
			<view class="order animated fadeInUp">
				<view class="order_title">
					<image :src="z_imgPath + 'qrhs.png?1'"></image>
					<view class="ca" @click="$refs.huishou_show.close()">×</view>
				</view>
				<view class="xuyuan">
					<view class="xuyuan_head">
						<view>已选赠品</view>
						<view>共 <text style="font-size: 28rpx;color: #FF7514;">{{num}}</text> 件</view>
					</view>
					<view class="xuyuan_con">
						<view class="xuyuan_item" v-for="(item,index) in huishou_Arr" :key="index">
							<view class="shop_item_img">
								<image :src="'https://hdyfs.languowangluo.cn'+item.imgurl"></image>
								<view v-if="item.is==1">
									<text>×{{item.number}}</text>
								</view>
							</view>
							<view class="xuyuan_item_2 hang1" style="font-size: 20rpx;">
								参考价:{{(Number(item.price)*item.number).toFixed(2)}}元
							</view>
						</view>
					</view>
					<view class="xuyuan_foot">
						<view>小计:￥<text style="font-size: 32rpx;">{{zong_price.toFixed(2)}}</text></view>
					</view>
				</view>
				<image :src="z_imgPath + 'qrhs_btn.png?1'" class="pop_huishou" @click="huisou_btn()"></image>
			</view>
		</uni-popup>

		<!-- 发货确认单 -->
		<uni-popup ref="fahuo_show" type="bottom">
			<view class="order animated fadeInUp">
				<view class="order_title">
					<image :src="z_imgPath + 'qrfh.png'"></image>
					<view class="ca" @click="$refs.fahuo_show.close()">×</view>
				</view>
				<view class="xuyuan" :style="'background: url('+ z_imgPath + 'box1.png'+ ') no-repeat 0 0 / 100% 100%;height:390rpx'">
					<view class="xuyuan_head">
						<view>已选赠品</view>
						<view>共 <text style="font-size: 28rpx;color: #FF7514;">{{num}}</text> 件</view>
					</view>
					<view class="xuyuan_con" style="border: none;">
						<view class="xuyuan_item" v-for="(item,index) in huishou_Arr" :key="index">
							<view class="shop_item_img">
								<image :src="'https://hdyfs.languowangluo.cn'+item.imgurl"></image>
								<view v-if="item.is==1">
									<text>×{{item.number}}</text>
								</view>
							</view>
							<view class="xuyuan_item_2 hang1"> {{item.title}}</view>
						</view>
					</view>
				</view>
				<view class="xuyuan kuaidi" :style="'background: url('+ z_imgPath + 'box2.png'+ ') no-repeat 0 0 / 100% 100%;height:370rpx'">
					<view class="flex_center" style="justify-content: space-between;">
						<view style="width: 580rpx;font-size: 28rpx;" @click="showMulLinkageThreePicker()">
							{{selectCity}}
						</view>
						<image :src="z_imgPath + 'point_r.png'"></image>
					</view>
					<view>满{{post.free_post}}件赠品包邮</view>
					<view class="kuaidi_text">如果不满{{post.free_post}}件，需支付{{post.post_money}}元运费</view>
					<textarea placeholder="请输入留言内容" maxlength="50" v-model="message"></textarea>
				</view>
				<image :src="z_imgPath + 'qrfh_btn.png'" class="pop_huishou" @click="fahuo_btn()"></image>
			</view>
		</uni-popup>
		<!-- 详情弹窗 -->
		<uni-popup ref="yulanPop" type="center" mask-background-color="rgba(0,0,0,.95)">
			<view class="yulanStyle">
				<view>{{yulan_news.shang_title}}</view>
				<view>
					<image :src="yulan_news.goodslist_imgurl" mode="widthFix"></image>
				</view>
				<view class="hang1">{{yulan_news.goodslist_title}}</view>
			</view>
		</uni-popup>



	</view>
</template>

<script>
	export default {
		data() {
			return {
				z_imgPath: this.$z_img1 + 'chouka/',
				statusBarHeight: uni.getSystemInfoSync().statusBarHeight,
				goods_id: '', //商品id
				goodslist: [],
				goods: {},
				downOption: {
					auto: false
				},
				// 中赏记录
				shang_cate: [],
				shang_id: '',
				// 
				keyword: '',
				//暂时不要 , '保险柜'
				arr: ['全部', '已拥有', '未拥有'],
				show: 0,

				post: {},
				// 寄卖的商品
				huishou_Arr: [],
				// 寄卖总价
				zong_price: 0,
				// 发送兑换参数
				recovery_info: [],
				// 收货人姓名
				name: '',
				// 收货人电话
				mobile: '',
				// 收货地址
				address: '',
				// 留言
				message: '',
				// 赏品总量
				count: '?',
				// 已选赏品数量
				num: 0,
				// 兑换失效
				dh_status: false,
				// 发货失效
				fh_status: false,
				selectCity: '选择收货地址',
				// 放大详情
				yulan_news: {},
				// 是否全选状态
				is_quan: false,
				// 上锁失效
				suo_status: false,
				// 解锁失效
				jiesuo_status: false,

			}
		},

		onLoad(v) {
			this.goods_id = v.caId
			this.getShang()
		},

		onShareAppMessage() {
			let that = this;
			return {
				title: "友达赏，正版潮玩手办一番赏",
				imageUrl: that.goods.imgurl,
				path: "/pages/chouka/index"
			};
		},
		watch: {
			huishou_Arr() {
				this.num = 0;
				this.zong_price = 0;
				for (let i = 0; i < this.huishou_Arr.length; i++) {
					this.$nextTick(() => {
						this.num += this.huishou_Arr[i].number
						this.zong_price += parseFloat(this.huishou_Arr[i].price * this.huishou_Arr[i]
							.number)
					})
				}
				this.getrecovery_info()
				// console.log('xx', this.huishou_Arr, this.num)
			}
		},
		methods: {
			getShang(){
				let that = this;
				that.req({
					url: 'card_level',
					success(res) {
						if (res.status == 1) {
							that.shang_cate=res.data
						}
					}
				})
			},
			yulan(e) {
				console.log(e)
				this.yulan_news = e
				this.$refs.yulanPop.open();
			},
			showMulLinkageThreePicker() {
				let that = this;
				uni.chooseAddress({
					success(res) {
						console.log(res)
						that.selectCity = res.userName + '-' + res.provinceName + '-' + res.cityName + '-' + res
							.countyName + '-' + res.detailInfo + '-' + res.telNumber
						that.name = res.userName;
						that.mobile = res.telNumber;
						that.address = res.provinceName + '-' + res.cityName + '-' + res.countyName + '-' + res
							.detailInfo;
						// that.$refs.fahuo_show.open()
					},
					fail(res) {
						console.log(res)
					}
				})
			},
			getCount(a, b) {
				this.$nextTick(() => {
					this.change_Arr()
				})
			},
			// 改变数组
			change_Arr() {
				let that = this;
				that.huishou_Arr = [];
				for (let i = 0; i < that.goodslist.length; i++) {
					if (that.goodslist[i].number > 0) {
						that.huishou_Arr.push(that.goodslist[i])
					}
				}
				console.log(that.goodslist)
				console.log(this.huishou_Arr)
			},
			fahuo_btn() {
				let that = this;
				if (that.fh_status) {
					return
				}
				if (that.recovery_info && that.recovery_info.length > 0) {
					that.fh_status = true
					that.req({
						url: 'warehouse_send',
						data: {
							recovery_info: JSON.stringify(that.recovery_info),
							name: that.name,
							mobile: that.mobile,
							address: that.address,
							message: that.message,
							type: 2
						},
						success(res) {
							if (res.status == 1) {
								if (res.data.status == 1) {
									that.recovery_info = []
									uni.requestPayment({
										provider: 'wxpay',
										timeStamp: res.data.res.timeStamp,
										nonceStr: res.data.res.nonceStr,
										package: res.data.res.package,
										signType: 'MD5',
										paySign: res.data.res.paySign,
										complete(ress) {
											if (ress.errMsg == 'requestPayment:fail cancel') {
												uni.showToast({
													title: '取消支付',
													icon: 'loading',
													duration: 1000
												})
											}
											if (ress.errMsg == 'requestPayment:ok') {
												uni.showToast({
													title: res.msg,
													icon: 'success',
													duration: 2000,
													success() {
														setTimeout(() => {
															that.$refs.fahuo_show.close()
															that.mescroll.resetUpScroll()
														}, 2000)
													}
												})
											}
										},
									})

								} else {
									that.recovery_info = []
									uni.showToast({
										title: res.msg,
										icon: 'success',
										duration: 2000,
										success() {
											setTimeout(() => {
												that.$refs.fahuo_show.close()
												that.mescroll.resetUpScroll()
											}, 2000)
										}
									})
								}
							}
						},
						complete() {
							that.fh_status = false
						}
					})
				}
			},
			huisou_btn() {
				let that = this;
				if (that.dh_status) {
					return
				}
				if (that.recovery_info && that.recovery_info.length > 0) {
					that.dh_status = true
					that.req({
						url: 'warehouse_recovery',
						data: {
							recovery_info: JSON.stringify(that.recovery_info),
							type: that.show
						},
						success(res) {
							if (res.status == 1) {
								that.recovery_info = []
								uni.showToast({
									title: res.msg,
									icon: 'success',
									duration: 2000,
									success() {
										setTimeout(() => {
											that.$refs.huishou_show.close()
											that.loadData(1)
										}, 1000)
									}
								})
							}
						},
						complete() {
							that.dh_status = false
						}
					})
				}
			},

			fahuo_click() {
				this.change_Arr()
				if (this.huishou_Arr.length > 0) {
					this.getrecovery_info()
					this.$refs.fahuo_show.open()
				} else {
					uni.showToast({
						title: '请至少选择一件赠品',
						icon: 'none',
						duration: 2000
					})
				}
			},
			huisou_click() {
				// uni.navigateToMiniProgram({
				// 	appId: uni.getStorageSync('jump_appid'), // 此为生活缴费appid
				// 	path: 'pages/my/index?token=' + uni.getStorageSync('token'), // 此为生活缴费首页路径
				// 	envVersion: "develop",
				// 	extraData: {
				// 		'token': uni.getStorageSync('token')
				// 	},
				// 	success: res => {
				// 		// 打开成功
				// 		console.log("打开成功", res);
				// 	},
				// 	fail: err => {
				// 		console.log(err, '取消了');
				// 		uni.switchTab({
				// 			url: '/pages/shouye/index'
				// 		})
				// 	}
				// })
				this.change_Arr()
				if (this.huishou_Arr.length > 0) {
					this.getrecovery_info()
					this.$refs.huishou_show.open()
				} else {
					uni.showToast({
						title: '请至少选择一件赠品',
						icon: 'none',
						duration: 2000
					})
				}
			},
			// 获取参数
			getrecovery_info() {
				let that = this;
				that.recovery_info = [];
				for (let i = 0; i < that.huishou_Arr.length; i++) {
					that.recovery_info.push({
						'prize_code': that.huishou_Arr[i].prize_code,
						'number': that.huishou_Arr[i].number
					})
				}
			},
			quanxuan_click() {
				let that = this
				this.is_quan = true
				for (let i = 0; i < this.goodslist.length; i++) {
					this.$set(this.goodslist[i], 'number', this.goodslist[i].num)
				}
			},
			change_sel(b, a) {
				let that = this
				if (a == 1) {
					that.$set(that.goodslist[b], 'sel', !that.goodslist[b].sel)
				}
				// for (let i = 0; i < that.goodsdata.length; i++) {
				// 	if (that.goodsdata[i].sel) {
				// 		that.num += that.goodsdata[i].goods_count * 1
				// 	}
				// }
			},
			getlist(v, a) {
				this.is_quan = false
				this.show = v;
				this.shang_id = a ? a : ''
				this.goodslist = []
				this.mescroll.resetUpScroll()
			},
			back() {
				uni.navigateBack()
			},
			downCallback() {
				this.mescroll.resetUpScroll(false)
			},
			upCallback(page) {
				this.loadData(page.num);
			},
			loadData(pageNo) {
				let that = this;
				that.req({
					url: 'card_book',
					data: {
						page: pageNo,
						card_id: that.goods_id,
						shang_id: that.shang_id,
						title: that.keyword,
						type: that.show
					},
					success(res) {
						if (res.status == 1) {
							if (res.status == 0) {
								setTimeout(() => {
									uni.navigateBack()
								}, 1500)
							}
							if (res.status == 1) {
								that.goods = res.data.card_goods
								// that.shang_cate = res.data.category
								that.count = res.data.goods_list.total
								that.post = res.data.yuefei
								console.log(that.post)
								that.mescroll.endByPage(res.data.goods_list.data.length, res.data.goods_list.last_page);
								// console.log(res.data.data)
								if (pageNo == 1) {
									that.goodslist = res.data.goods_list.data;
								} else {
									that.goodslist = that.goodslist.concat(res.data.goods_list.data);
								}
								
								if (that.is_quan) {
									for (let i = 0; i < that.goodslist.length; i++) {
										that.$set(that.goodslist[i], 'number', that.goodslist[i].num)
									}
								} else {
									for (let i = 0; i < that.goodslist.length; i++) {
										that.$set(that.goodslist[i], 'number', 0)
									}
								}
							}
						}
					}
				})
			},

		}
	}
</script>

<style>
	.yulanStyle image:nth-of-type(1) {
		width: 550rpx;
		/* height: 550rpx; */
	}

	.yulanStyle>view:nth-of-type(2) {
		border: 10rpx solid #FF7514;
		box-sizing: border-box;
		margin-bottom: 20rpx;
		margin-top: 10rpx;
		overflow: hidden;
	}

	.yulanStyle>view:nth-of-type(1) {
		font-size: 32rpx;
		font-family: Source Han Sans CN;
		font-weight: bold;
		color: #080808;
		line-height: 52rpx;
		-webkit-text-stroke: 3rpx #FFFFFF;
		text-stroke: 3rpx #FFFFFF;
		background: #FF7514;
		padding: 6rpx 20rpx;
		width: fit-content;
	}

	.yulanStyle {
		font-size: 47rpx;
		font-family: Source Han Sans CN;
		font-weight: bold;
		color: #FFFFFF;
		text-align: center;
	}

	textarea {
		width: 100%;
		height: 120rpx;
		background: rgba(255, 255, 255, 0.08);
		border-radius: 10rpx;
		padding: 4rpx 10rpx;
		margin-top: 20rpx;
		font-size: 26rpx;
		box-sizing: border-box;
	}

	.kuaidi_text {
		font-size: 24rpx;
		color: #999999;
	}

	.kuaidi>view:nth-of-type(2) {
		font-size: 28rpx;
	}

	.kuaidi>view:nth-of-type(1) {
		border-bottom: 1px solid #666666;
		padding: 20rpx 0;
	}

	.kuaidi>view {
		margin-top: 20rpx;
	}

	.kuaidi image {
		width: 32rpx;
		height: 32rpx;
	}

	.kuaidi {
		padding: 0 30rpx 30rpx 30rpx !important;
		color: #ffffff;
	}

	.order_title>image {
		width: 172rpx;
		height: 37rpx;
		position: absolute;
		left: 30rpx;
		top:20rpx;
	}

	.order_title {
		font-size: 50rpx;
		font-family: Source Han Sans CN;
		font-weight: bold;
		color: #FFFFFF;
		position: relative;
		text-align: right;
	}

	.order {
		width: 750rpx;
		background: rgba(0, 0, 0, 0.9);
		border-radius: 30rpx 30rpx 0px 0px;
		border-top: 5rpx solid #35ED85;
		border-bottom: none;
		position: absolute;
		bottom: 0;
		padding: 10rpx 30rpx 50rpx;
		box-sizing: border-box;
		color: #FFFFFF;
	}

	.pop_huishou {
		width: 610rpx;
		height: 70rpx;
		margin: 48rpx auto 0;
		display: block;
	}

	.xuyuan_foot {
		display: flex;
		align-items: center;
		justify-content: flex-end;
		padding: 30rpx;
		font-size: 24rpx;
		color: #FFFFFF;
		text-shadow: 0px 0px 14rpx #FF2121;
	}

	.xuyuan_item_2 {
		color: #ffffff;
		font-size: 24rpx;
		margin-top: 6rpx;
		width: 100%;
	}


	.shop_item_img>view:nth-of-type(1) {
		position: absolute;
		bottom: 0;
		left: 0;
		font-size: 20rpx;
		padding: 2rpx 20rpx 2rpx 10rpx;
		box-sizing: border-box;
		background: #FF7514;
		border-radius: 0 8rpx 0 0;
	}

	.shop_item_img>image {
		width: 100%;
		height: 100%;
		border-radius: 8rpx;
		position: absolute;
		top: 0;
		left: 0;
	}

	.shop_item_img {
		width: 170rpx;
		height: 170rpx;
		border-radius: 10rpx 10rpx 0 0;
		position: relative;
		text-align: left;
		box-sizing: border-box;
		overflow: hidden;
	}

	.xuyuan_item {
		width: 170rpx !important;
		min-width: 170rpx;
		height: 242rpx;
		margin-right: 20rpx;
		flex-shrink: 0;
		text-align: center;
		position: relative;
		margin-top: 20rpx;
	}

	.xuyuan_con {
		display: flex;
		margin: 14rpx auto 0;
		width: 630rpx;
		box-sizing: border-box;
		border-bottom: 1rpx solid #666666;
		overflow-x: scroll;
		overflow-y: hidden;
	}

	.xuyuan_head>view:nth-of-type(2) {
		font-size: 24rpx;
	}

	.xuyuan_head {
		display: flex;
		justify-content: space-between;
		align-items: center;
		font-size: 28rpx;
		padding: 0 24rpx;
		box-sizing: border-box;
		color: #ffffff;
	}

	.xuyuan {
		width: 690rpx;
		/* height: 432rpx; */
		background: #222222;
		/* border: 2rpx solid #FFFFFF; */
		border-radius: 1rpx;
		margin: 24rpx auto 0;
		padding-top: 24rpx;
		box-sizing: border-box;
	}

	.pop_btn {
		width: 484rpx;
		height: 68rpx;
		background: #000000;
		border: 2rpx solid #2FB4FF;
		border-radius: 6rpx;
		font-size: 32rpx;
		color: #2FB4FF;
		margin: 50rpx auto 0;
		display: flex;
		justify-content: center;
		align-items: center;
	}


	.pop_con {
		height: 440rpx;
		margin: auto;
		padding: 0rpx 36rpx;
		font-size: 24rpx;
		line-height: 36rpx;
		color: #FFFFFF;
		box-sizing: border-box;
		overflow-y: scroll;
	}

	.pop_title {
		/* font-family: 'zcq'; */
		font-size: 40rpx;
		color: #96FFFE;
		height: 128rpx;
		line-height: 128rpx;
		text-align: center;
	}

	.pop {
		width: 543rpx;
		height: 801rpx;
		padding-top: 192rpx;
		box-sizing: border-box;
		/* background: #FFFFFF; */
		/* border-radius: 20rpx; */
	}

	.p_t_r {
		position: absolute;
		top: -20rpx;
		right: -10rpx;
		width: 32rpx;
		height: 32rpx;
	}


	.footer>image {
		width: 212rpx;
		height: 70rpx;
	}

	/* .footer>image:nth-of-type(3) {
		width: 317rpx;
		height: 106rpx;
		position: absolute;
		top: 20rpx;
		left: 0;
		right: 0;
		margin: auto;
		z-index: 11;
	} */

	.jiesuo {
		margin: auto;
		width: 317rpx !important;
		height: 106rpx !important;

	}

	.footer {
		width: 750rpx;
		display: flex;
		justify-content: space-between;
		align-items: center;
		position: relative;
		position: fixed;
		bottom: 0rpx;
		right: 0;
		left: 0;
		margin: auto;
		background: #0D0D0D;
		padding: 30rpx 60rpx;
		box-sizing: border-box;
	}

	.xuanfu image {
		width: 94rpx;
		height: 94rpx;
		margin-top: 20rpx;
	}

	.xuanfu {
		position: fixed;
		bottom: 391rpx;
		right: 20rpx;
		width: 94rpx;
		z-index: 21;
	}

	.shop_con {
		padding: 10rpx;
		box-sizing: border-box;
		line-height: 40rpx;
		/* background: #000000; */
		border-radius: 0 0 10rpx 10rpx;
		font-size: 20rpx;
		color: rgba(255, 255, 255, 0.6);
	}


	.item_head>view:nth-of-type(1) {
		width: 100%;
		position: absolute;
		background: rgba(255, 255, 255, .7);
		/* border-radius: 0 7rpx 0 0; */
		font-size: 24rpx;
		font-family: Source Han Sans CN;
		font-weight: 400;
		color: #333333;
		bottom: 0rpx;
		left: 0rpx;
		padding: 6rpx 14rpx;
		box-sizing: border-box;
	}

	.mengban {
		width: 100%;
		height: 100%;
		position: absolute;
		background: rgba(0, 0, 0, 0.8) !important;
		top: 0;
		left: 0;
	}

	.item_head>image {
		width: 193rpx;
		height: 264rpx;
	}

	.item_head {
		width: 193rpx;
		height: 264rpx;
		position: relative;
	}

	.shop_item {
		width: 193rpx;
		margin-top: 20rpx;
		position: relative;
		box-sizing: border-box;
		color: #FFFFFF;

	}

	.shop>.shop_item:nth-child(3n+2) {
		margin: 20rpx 26rpx 0;
	}

	.shop {
		width: 690rpx;
		min-height: 664rpx;
		background: rgba(255, 255, 255, 0.08);
		border-radius: 10px;
		margin: 0rpx auto;
		display: flex;
		/* justify-content: center; */
		flex-wrap: wrap;
		padding: 10rpx 30rpx;
		box-sizing: border-box;
		font-size: 24rpx;
	}

	.cate_sel {
		background: linear-gradient(0deg, #1AC762 0%, #35ED85 100%) !important;
		color: #000 !important;
	}

	.cate>view {
		padding: 4rpx 20rpx;
		/* border: 3rpx solid; */
		border-radius: 10rpx;
		margin-right: 30rpx;
		font-size: 30rpx;
		color: #FFFFFF;
		margin-top: 20rpx;
		background: #444444;
	}

	.cate {
		width: 690rpx;
		margin: 30rpx auto;
		display: flex;
		flex-wrap: wrap;
	}

	.qiehuan {
		display: flex;
		/* justify-content: space-between; */
		align-items: center;
		width: 690rpx;
		margin: 0 auto;
		box-sizing: border-box;
		/* font-family: 'zcq'; */
		/* font-weight: bold; */
	}

	.qiehuan>view {
		/* flex: 1; */
		text-align: center;
		margin-right: 30rpx;
	}

	.wzs {
		background: #E6E6E6;
		border-radius: 10rpx;
		color: #999999;
		padding: 15rpx 40rpx;
		font-size: 30rpx;
	}

	.xzs {
		background: linear-gradient(0deg, #1AC762 0%, #35ED85 100%);
        border-radius: 10rpx;
		color: #000000;
		padding: 15rpx 40rpx;
		font-size: 30rpx;
		/* font-size: 42rpx;
		color: #FF7514;
		-webkit-text-stroke: 1rpx #FFFFFF;
		text-stroke: 1rpx #FFFFFF;
		text-shadow: 2rpx 2rpx 10rpx #FFFFFF; */
	}

	.title_ipt {
		display: flex;
		align-items: center;
		margin: 20rpx auto;
		border-radius: 30rpx;
		padding-left: 30rpx;
		width: 652rpx;
		height: 64rpx;
		background: rgba(255, 255, 255, .1);
		border-radius: 32rpx;
		box-sizing: border-box;
	}

	.title_ipt>image {
		width: 26rpx;
		height: 26rpx;
	}

	.title_ipt>input {
		width: 77%;
		height: 60rpx;
		box-sizing: border-box;
		border-radius: 105rpx;
		font-size: 28rpx;
		line-height: 60rpx;
		font-size: 28rpx;
		font-weight: 400;
		color: rgba(255, 255, 255, 0.6);
		padding-left: 20rpx;
	}

	.title_ipt>view {
		width: 94rpx;
		height: 35rpx;
		background: linear-gradient(0deg, #1AC762 0%, #35ED85 100%);
		border-radius: 18rpx;
		font-size: 23rpx;
		font-family: Source Han Sans CN;
		font-weight: 400;
		color: #111111;
		display: flex;
		align-items: center;
		justify-content: center;
		margin-right: 20rpx;
	}

	.redu {
		position: absolute;
		bottom: 65rpx;
		left: 0;
		right: 0;
		margin: auto;
		width: 694rpx;
		height: 108rpx;
		background: rgba(22, 22, 22, 0.6);
		padding: 16rpx 20rpx;
		box-sizing: border-box;
		color: #FFFFFF;
		font-size: 20rpx;
		border-radius: 0 0 7rpx 7rpx;
	}

	.header_title>view:nth-of-type(2) {
		width: 520rpx;
		text-align: center;
		/* margin: auto; */
	}

	.header_title>view:nth-of-type(1) {
		display: flex;
		align-items: center;
	}

	.header_title image {
		width: 48rpx;
		height: 48rpx;
	}

	.header_title {
		height: 70rpx;
		line-height: 70rpx;
		width: 100%;
		box-sizing: border-box;
		font-weight: bold;
		display: flex;
		align-items: center;
		padding-left: 30rpx;
		box-sizing: border-box;
	}

	.status_bar {
		height: var(--status-bar-height);
		width: 100%;
	}

	.head {
		position: fixed;
		top: 0;
		z-index: 20;
	}

	.header {
		width: 750rpx;
		height: 489rpx;
		background: #FFFFFF;
		font-size: 32rpx;
		color: #FFFFFF;
		box-sizing: border-box;
		position: absolute;
		top: 0;
		z-index: 15;
	}

	.content {
		padding-bottom: 120rpx;
		/* background: #FAFAFA; */
		padding-top: 489rpx;
	}
</style>
